// import { NetManager } from "../../../libs/tw/manager/NetManager";
import Loading from "../../loading/Loading";
import { NetManager } from "../../../libs/tw/manager/NetManager";

/**
* 实时排行榜
* @param {number} type 0总排行榜 1今日排行榜 2 多游戏总排行榜 3 昨日排行榜
* @param {number} count 返回榜单长度 最大50
*/
export default (callback, type, count) => {
    const _callback = (data) => {
        Loading.instace.hide();
        callback(data);
    }
    Loading.instace.show();
    NetManager.ins.realtimerank(_callback, type, count);
}